Freitag, Februar 21, 2020

ImportError: No module named ‚pyrebase‘

Derzeit arbeite ich an einem Projekt mit meinem raspberry pi. In diesem Projekt möchte ich eine Verbindung zu meinem raspberry auf google, FB, daher habe ich zu verwenden:

import pyrebase

Habe ich installiert pyrebase im terminal mit:

pip install pyrebase

Auch ich bin mir bewusst, dass pyrebase keine Unterstützung für python 2, so dass ich mit python 3.4.2. Ich weiß nicht, warum python nicht finden können, irgendwelche Ideen oder Vorschläge?

  • Wenn pip die Installation erfolgreich war, sollte es in der Ausgabe aufgeführt pip freeze, sehen Sie nicht pyrebase in der Ausgabe? Auch haben Sie pip mit python 3.4.2?
  • Ich sehe nicht, pyrebase aufgeführt von der pip-freeze, also ich denke, es ist nicht richtig installiert. Weißt du, wie dieses problem zu beheben und ich bin mir auch nicht sicher, ob ich es installiert für 3.4.2 Tat ich einfach wie ich schon sagte, bevor Ihr pip installieren pyrebase. Viele Dank im Voraus.
  • nach der python 3.4.2 docs Sie sollten in der Lage sein, um explizit zu zeigen, dass python-version und verwenden Sie Ihre pip Befehl, um zu sehen, ob pip ist installiert, die version von python, 3.4.2, je nachdem, welche Plattform Sie verwenden..die raspberrypi-Webseite, sagt zu so etwas wie pip3 install <package> Pakete installiert, für die „python 3“ in der Erwägung, dass pip installiert Module für „python 2“, also vielleicht versuchen pip3 install pyrebase

6 Kommentare

  1. 2

    Versuchen zu importieren, wie diese:

    from pyrebase import pyrebase

    Funktioniert für mich.

  2. 2

    Wenn Sie mehrere Versionen von python installiert, kann es sein, verwirrt, auf welche version von pyrebase zu installieren.

    Versuchen:

    pip3 install pyrebase
    • Es funktionierte für mich. Es ist ganz offensichtlich, aber Sie sollten hinzufügen sudo ersten. sudo pip3 install pyrebase
  3. 0

    Überprüfen Sie, ob die pip, die Sie verwenden, ist die Zusammenarbeit mit deiner python-version

    pip --version
    pip 8.1.2 from c:\python27\lib\site-packages (python 2.7)

    Mir ist die Arbeit mit python 2.7.
    Wenn Sie arbeiten, mit der richtigen python version versuchen pip freeze oder die pip-Liste, um die Liste der derzeit installierten Bibliotheken, und prüfen Sie, ob Sie die eine, die Sie zu installieren versuchen, ist es.

  4. 0

    Die Beste Option ist die Installation von Ubuntu Mate in eurem raspberry pi, wie ich versucht habe diesen auf debian und habe das gleiche problem, absolut kein Grund!!!! so installierte ich ubuntu mate und hier gehen Sie, es hat funktioniert!!

  5. 0
    pip install pyrebase <br>

    Dies ist für python 2.x

    Bitte installieren Sie python 3.x und pip3.x statt, dann führen

    `pip3.x install pyrebase`
  6. 0

    War ich immer der "import error" von pyrebase. Nach Prüfung diesen link bekam ich die Idee, problem, war aber nicht in der Lage zu finden die richtige Lösung. Nach kämpfen für einen Tag, bekam ich die Lösung. Als ich mit PYREBASE für meine Engineering-Projekt habe ich neu installiert RASPBIAN-JESSIE stretch image auf SD. Entfernt python2.7 und python3 – und wieder installiert python3 und dann installieren pyrebase und mit häufigen Neustarts. aber es hat geklappt!

    $ sudo apt-get remove python2.7
    
    $ sudo apt-get remove python3
    
    $ sudo reboot
    
    $ sudo apt-get install python3
    
    $ wget https://bootstrap.pypa.io/get-pip.py
    
    $ sudo python3 get-pip.py
    
    $ pip3 freeze      #(displays about 15 lines, if pip is installed correctly) 
    
    $ pip3 list        #(displays about 15 lines)
    
    $ sudo pip3 install pyrebase 

    und jetzt,

    vom pyrebase import pyrebase

    ist und dass es nicht gab-import-Fehler.

Kostenlose Online-Tests